Bug 1170664 - Review Request: python-mistune - Markdown parser for Python
Summary: Review Request: python-mistune - Markdown parser for Python
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-04 15:02 UTC by Christian Dersch
Modified: 2015-04-06 03:11 UTC (History)
4 users (show)

Fixed In Version: python-mistune-0.5-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-27 09:20:09 UTC
tomspur: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Christian Dersch 2014-12-04 15:21:28 UTC
Small adjustment, new Koji build for rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=8295003

Comment 2 Thomas Spura 2014-12-04 20:09:19 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Issues:
- The egg is not deleted.
- Please be more specific in %files.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[!]: Package does not own files or directories owned by other packages.
 /usr/lib64/python3.4/site-packages/__pycache__ should not be owned, only 
%{upname}.* inside it.

Could you please be a bit more specific in %files, such as:
%{python2_sitearch}/%{upname}.*
%{python2_sitearch}/%{upname}-%{version}-py?.?.egg-info

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

Python:
[!]: Binary eggs must be removed in %prep
Please do so.
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-mistune
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.

There are no tests in the tarball yet. Maybe when this pull request ist accepted:
https://github.com/lepture/mistune/pull/32

[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-mistune-0.4.1-1.fc21.x86_64.rpm
          python3-mistune-0.4.1-1.fc21.x86_64.rpm
          python-mistune-0.4.1-1.fc21.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
<mock-chroot>[root@leonidas /]# rpmlint python-mistune python3-mistune
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
<mock-chroot>[root@leonidas /]# echo 'rpmlint-done:'



Requires
--------
python-mistune (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    python(abi)
    rtld(GNU_HASH)

python3-mistune (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython3.4m.so.1.0()(64bit)
    python(abi)
    rtld(GNU_HASH)



Provides
--------
python-mistune:
    python-mistune
    python-mistune(x86-64)

python3-mistune:
    python3-mistune
    python3-mistune(x86-64)



Unversioned so-files
--------------------
python-mistune: /usr/lib64/python2.7/site-packages/mistune.so
python3-mistune: /usr/lib64/python3.4/site-packages/mistune.cpython-34m.so

Source checksums
----------------
https://pypi.python.org/packages/source/m/mistune/mistune-0.4.1.tar.gz :
  CHECKSUM(SHA256) this package     : a1943a64445676bbde20432a95219d30da650b377c99fa427dee35d2869305fc
  CHECKSUM(SHA256) upstream package : a1943a64445676bbde20432a95219d30da650b377c99fa427dee35d2869305fc


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1170664
Buildroot used: fedora-21-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 Christian Dersch 2014-12-04 21:00:37 UTC
Thank you for your fast review! Fixed the issues:

Spec URL: https://lupinix.fedorapeople.org/packages/python-mistune.spec
SRPM URL: https://lupinix.fedorapeople.org/packages/python-mistune-0.4.1-2.fc20.src.rpm

Koji rawhide build: http://koji.fedoraproject.org/koji/taskinfo?taskID=8296802

Greetings,
Christian

Comment 4 Christian Dersch 2014-12-05 09:34:03 UTC
Upstream released 0.5 today. I will move to this new release, so please wait with reviewing :)

Comment 6 Thomas Spura 2014-12-15 20:20:23 UTC
Looks fine, except these warnings:
python-mistune.src:12: W: macro-in-comment %{upname}
python-mistune.src:12: W: macro-in-comment %{upname}
python-mistune.src:12: W: macro-in-comment %{version}
python-mistune.src:40: W: macro-in-comment %{upname}
4 packages and 0 specfiles checked; 0 errors, 4 warnings.

If you want to leave them in the spec for later on, you could escape them with e.g. %%{upname}.

Other than that,

this package is APPPROVED

Comment 7 Christian Dersch 2014-12-15 21:40:58 UTC
Thank you for the review :) I will fix the warnings on scm import.

Comment 8 Christian Dersch 2014-12-15 21:42:31 UTC
New Package SCM Request
=======================
Package Name: python-mistune
Short Description: Markdown parser for Python
Upstream URL: https://github.com/lepture/mistune
Owners: lupinix
Branches: f20 f21
InitialCC:

Comment 9 Gwyn Ciesla 2014-12-16 13:13:09 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2014-12-16 19:42:01 UTC
python-mistune-0.5-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-mistune-0.5-1.fc21

Comment 11 Fedora Update System 2014-12-16 19:43:44 UTC
python-mistune-0.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-mistune-0.5-1.fc20

Comment 12 Fedora Update System 2014-12-18 06:02:12 UTC
python-mistune-0.5-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 13 Fedora Update System 2014-12-27 09:20:09 UTC
python-mistune-0.5-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 14 Fedora Update System 2014-12-27 09:20:43 UTC
python-mistune-0.5-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 15 Orion Poplawski 2015-03-02 22:03:54 UTC
Christian - We need this in EPEL7 for iPython.  Would you mind branching and building it there?

Comment 16 Christian Dersch 2015-03-02 22:06:46 UTC
Package Change Request
======================
Package Name: python-mistune
New Branches: epel7
Owners: lupinix

Comment 17 Orion Poplawski 2015-03-02 22:14:03 UTC
Thanks!

Comment 18 Gwyn Ciesla 2015-03-03 13:15:44 UTC
Git done (by process-git-requests).

Comment 19 Fedora Update System 2015-03-03 13:52:24 UTC
python-mistune-0.5-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-mistune-0.5-1.el7

Comment 20 Fedora Update System 2015-04-06 03:11:36 UTC
python-mistune-0.5-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.